commit:     5ae739228d96e5857b88c0658d22456da1724ea0
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 23 04:26:53 2019 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Tue Jul 23 07:03:28 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5ae73922

sys-fs/squashfs-tools-ng: New package

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 sys-fs/squashfs-tools-ng/Manifest                  |  1 +
 sys-fs/squashfs-tools-ng/metadata.xml              | 15 ++++++
 .../squashfs-tools-ng-0.4.2.ebuild                 | 53 ++++++++++++++++++++++
 .../squashfs-tools-ng-9999.ebuild                  | 53 ++++++++++++++++++++++
 4 files changed, 122 insertions(+)

diff --git a/sys-fs/squashfs-tools-ng/Manifest 
b/sys-fs/squashfs-tools-ng/Manifest
new file mode 100644
index 00000000000..d784474a7b2
--- /dev/null
+++ b/sys-fs/squashfs-tools-ng/Manifest
@@ -0,0 +1 @@
+DIST squashfs-tools-ng-0.4.2.tar.xz 150356 BLAKE2B 
8b162c13052c73bf260ef354d2a2d000452e0f682ea5d9ab7192766ac0158c17c67fe4fb71c7bbe2be68c89d6acb0e65742c7b317ad55508ad62c3639e28c9b1
 SHA512 
91fd89a624521e12b516faa0b3d5ffd7d96584423328864aeab39ada3ab3770f3885e37bb0e57869df6e5abc02d64af5d172f32d73c0542eb23fd27c3252a111

diff --git a/sys-fs/squashfs-tools-ng/metadata.xml 
b/sys-fs/squashfs-tools-ng/metadata.xml
new file mode 100644
index 00000000000..b1a0267dd91
--- /dev/null
+++ b/sys-fs/squashfs-tools-ng/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="person">
+               <email>matts...@gentoo.org</email>
+               <name>Matt Turner</name>
+       </maintainer>
+       <use>
+               <flag name="lz4">Enable support for LZ4 compression using 
<pkg>app-arch/lz4</pkg></flag>
+               <flag name="xz">Enable support for XZ ("LZMA2") compression 
using <pkg>app-arch/xz-utils</pkg></flag>
+       </use>
+       <upstream>
+               <remote-id type="github">AgentD/squashfs-tools-ng</remote-id>
+       </upstream>
+</pkgmetadata>

diff --git a/sys-fs/squashfs-tools-ng/squashfs-tools-ng-0.4.2.ebuild 
b/sys-fs/squashfs-tools-ng/squashfs-tools-ng-0.4.2.ebuild
new file mode 100644
index 00000000000..88b9fdc8179
--- /dev/null
+++ b/sys-fs/squashfs-tools-ng/squashfs-tools-ng-0.4.2.ebuild
@@ -0,0 +1,53 @@
+# Copyright 2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+EGIT_REPO_URI="https://github.com/AgentD/${PN}.git";
+[[ ${PV} == 9999* ]] && inherit autotools git-r3
+
+DESCRIPTION="A new set of tools for working with SquashFS images"
+HOMEPAGE="https://github.com/AgentD/squashfs-tools-ng";
+if [[ ${PV} = 9999* ]]; then
+       SRC_URI=""
+else
+       KEYWORDS="~alpha ~amd64 ~ia64 ~ppc64"
+       SRC_URI="https://infraroot.at/pub/squashfs/${P}.tar.xz";
+fi
+
+LICENSE="GPL-3+"
+SLOT="0"
+IUSE="lz4 lzo selinux +xz +zlib zstd"
+REQUIRED_USE="|| ( lz4 lzo xz zlib zstd )"
+
+DEPEND="
+       lz4?     ( app-arch/lz4:= )
+       lzo?     ( dev-libs/lzo:= )
+       xz?      ( app-arch/xz-utils:= )
+       selinux? ( sys-libs/libselinux:= )
+       zlib?    ( sys-libs/zlib:= )
+       zstd?    ( app-arch/zstd:= )
+"
+RDEPEND="${DEPEND}"
+
+src_unpack() {
+       default
+       [[ $PV = 9999* ]] && git-r3_src_unpack
+}
+
+src_prepare() {
+       default
+       [[ ${PV} == "9999" ]] && eautoreconf
+}
+
+src_configure() {
+       local myconf=(
+               $(use_with lz4)
+               $(use_with lzo)
+               $(use_with selinux)
+               $(use_with xz)
+               $(use_with zlib gzip)
+               $(use_with zstd)
+       )
+       econf "${myconf[@]}"
+}

diff --git a/sys-fs/squashfs-tools-ng/squashfs-tools-ng-9999.ebuild 
b/sys-fs/squashfs-tools-ng/squashfs-tools-ng-9999.ebuild
new file mode 100644
index 00000000000..88b9fdc8179
--- /dev/null
+++ b/sys-fs/squashfs-tools-ng/squashfs-tools-ng-9999.ebuild
@@ -0,0 +1,53 @@
+# Copyright 2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+EGIT_REPO_URI="https://github.com/AgentD/${PN}.git";
+[[ ${PV} == 9999* ]] && inherit autotools git-r3
+
+DESCRIPTION="A new set of tools for working with SquashFS images"
+HOMEPAGE="https://github.com/AgentD/squashfs-tools-ng";
+if [[ ${PV} = 9999* ]]; then
+       SRC_URI=""
+else
+       KEYWORDS="~alpha ~amd64 ~ia64 ~ppc64"
+       SRC_URI="https://infraroot.at/pub/squashfs/${P}.tar.xz";
+fi
+
+LICENSE="GPL-3+"
+SLOT="0"
+IUSE="lz4 lzo selinux +xz +zlib zstd"
+REQUIRED_USE="|| ( lz4 lzo xz zlib zstd )"
+
+DEPEND="
+       lz4?     ( app-arch/lz4:= )
+       lzo?     ( dev-libs/lzo:= )
+       xz?      ( app-arch/xz-utils:= )
+       selinux? ( sys-libs/libselinux:= )
+       zlib?    ( sys-libs/zlib:= )
+       zstd?    ( app-arch/zstd:= )
+"
+RDEPEND="${DEPEND}"
+
+src_unpack() {
+       default
+       [[ $PV = 9999* ]] && git-r3_src_unpack
+}
+
+src_prepare() {
+       default
+       [[ ${PV} == "9999" ]] && eautoreconf
+}
+
+src_configure() {
+       local myconf=(
+               $(use_with lz4)
+               $(use_with lzo)
+               $(use_with selinux)
+               $(use_with xz)
+               $(use_with zlib gzip)
+               $(use_with zstd)
+       )
+       econf "${myconf[@]}"
+}

Reply via email to